PETSc version 3.15.5
Fix/Edit manual page

# DMPlexLabelComplete

Starting with a label marking points on a surface, we add the transitive closure to the surface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelComplete(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM
| label | - A DMLabel marking the surface points

### Output Parameter

| label | - A DMLabel marking all surface points in the transitive closure

### See Also

DMPlexLabelCohesiveComplete()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c

### Examples

src/dm/impls/plex/tutorials/ex2.c.html
src/snes/tutorials/ex56.c.html
src/ts/tutorials/ex52.c.html
src/tao/tutorials/ex3.c.html

### Implementations

DMPlexLabelComplete_Internal in src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages